Get agent history record
Get agent history record. See the OpenAPI-defined parameters, request body, and responses below.
/AgentHistory/{id}Get agent history record. See the OpenAPI-defined parameters, request body, and responses below.
OpenAPI description: Este endpoint retorna os detalhes de um registro de histórico específico.
Authentication
Authentication required. Send your user API key in the X-API-Key header.
Parameters
| Name | Location | Type | Required | Description | Constraints |
|---|---|---|---|---|---|
id | path | integer · int32 | Yes | — | — |
Request body
This operation does not accept a request body.
Example request
curl --request GET \
--url 'https://api.zild.ai/AgentHistory/{id}' \
--header 'X-API-Key: YOUR_USER_API_KEY'
Responses
| Status | Description | Response body |
|---|---|---|
200 | Sucesso ao retornar o registro | application/json · AgentHistoryDto |
404 | Registro não encontrado | No response body is defined. |
Example response (200):
{
"id": 0,
"agentId": 0,
"agentName": "string",
"userId": 0,
"userName": "string",
"userEmail": "string",
"actionType": 0,
"actionTypeDescription": "string",
"description": "string",
"previousState": "string",
"newState": "string",
"changedFields": "string",
"createdAt": "2026-09-22T18:00:00Z",
"version": 0
}
Data models
AgentHistoryActionType
0 = Created; 1 = Updated; 2 = Deleted; 3 = FileAdded; 4 = FileRemoved; 5 = DynamicVariableAdded; 6 = DynamicVariableUpdated; 7 = DynamicVariableRemoved; 8 = DataCollectionAdded; 9 = DataCollectionUpdated; 10 = DataCollectionRemoved; 11 = ToolAdded; 12 = ToolUpdated; 13 = ToolRemoved; 14 = TaskAdded; 15 = TaskUpdated; 16 = TaskRemoved; 17 = PermissionChanged
integer
AgentHistoryDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
agentId | integer · int32 | No | — | — |
agentName | string | No | — | nullable |
userId | integer · int32 | No | — | — |
userName | string | No | — | nullable |
userEmail | string | No | — | nullable |
actionType | AgentHistoryActionType | No | — | — |
actionTypeDescription | string | No | — | nullable |
description | string | No | — | nullable |
previousState | string | No | — | nullable |
newState | string | No | — | nullable |
changedFields | string | No | — | nullable |
createdAt | string · date-time | No | — | — |
version | integer · int32 | No | — | — |